use reqwest::Method;
use serde::{Serialize, Deserialize};

use super::UbisyncRequest;


#[derive(Serialize, Deserialize)]
pub struct AppRegisterRequest {
    pub name: String,
    pub description: String,
}

#[derive(Serialize, Deserialize)]
pub struct AppRegisterResponse {
    pub token: String,
}

impl UbisyncRequest for AppRegisterRequest {
    type PathParameters = ();
    type Response = AppRegisterResponse;

    fn method(&self) -> reqwest::Method {
        Method::PUT
    }
    fn path(&self, _: Self::PathParameters) -> String {
        "/app/register".to_string()
    }
}